Next: COTAND, Previous: COSH, Up: Intrinsic Procedures

### 8.76 `COTAN` — Cotangent function

Description:
  `COTAN(X)` computes the cotangent of X. Equivalent to `COS(x)` divided by `SIN(x)`, or `1 / TAN(x)`.

  This function is for compatibility only and should be avoided in favor of standard constructs wherever possible.

Standard:
  GNU extension, enabled with `-fdec-math`.
Class:
  Elemental function
Syntax:
  `RESULT = COTAN(X)`
Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:
  The return value has same type and kind as X, and its value is in radians.
Example:

                program test_cotan
                  real(8) :: x = 0.165_8
                  x = cotan(x)
                end program test_cotan

Specific names:

  Name | Argument | Return type | Standard
  --- | --- | --- | ---
  `COTAN(X)` | `REAL(4) X` | `REAL(4)` | GNU extension
  `DCOTAN(X)` | `REAL(8) X` | `REAL(8)` | GNU extension

See also:
  Converse function: TAN Degrees function: COTAND